×
Kunena 5.2 Beta 1 Released (Yesterday)

The Kunena team is thrilled to announce the first public beta release of Kunena 5.2, a native Joomla extension for Joomla 3.9. This is a development release and should be only be used for testing; this version is not recommended for live websites at this stage.

The purpose of this release is to encourage testing by downloading, installing and identifying any problems or shortcomings that people may discover. K 5.2.0 B1 is stable and we are aware that people will discover defects. We encourage you to use the forum to report defects, as soon as they are discovered, so that the development team can work through the problems before the release of K 5.1 as a stable product. Reporting defects does not mean that the problems can or will be fixed. The Kunena team is looking forward to hearing your feedback on how well we have achieved our design goals.

Question [beendet] Fehler im Kunena wegen fehlender Tabelle

More
11 years 6 months ago - 11 years 5 months ago #1 by neo67
Hallo,

ich benutze Joomla! 1.5.9 Production/Stable [ Vatani ] und versuche ein vernünftiges Forum dort einzubauen, nachdem ich Fireboard und SMF ausprobiert habe, bin ich jetzt durch Zufall auf Kunena gestossen, was wohl irgendwie anch einer FB Weiterentwicklung aussieht, oder?
Nun, ich habe FB wieder deinstalliert, War das falsch?
In der Kunena-Administration kommt jetzt:
Warning: Could not load latest Version record.\nDB function failed with error number 1146
Table 'd00a7910.jos_fb_version' doesn't exist SQL=SELECT `version`, `versiondate`, `installdate`, `build`, `versionname` FROM `jos_fb_version` ORDER BY `id` DESC LIMIT 1;
SQL =
 
SELECT
									`version`,
									`versiondate`,
									`installdate`,
									`build`,
									`versionname`
								FROM `jos_fb_version`
								ORDER BY `id` DESC LIMIT 1;
 
in /www/htdocs/w0088581/luminosus/components/com_kunena/lib/kunena.debug.php on line 69

Diese Tabelle ist bei mir nicht vorhanden. Liegt es daran, dass FB seine Installation nicht fertig gemacht hatte oder ich FB nicht deinstallieren sollte vorher?

Vielen Dank für Info!
Gruß
Jürgen


Edit: ich bin im falschen brett gelandet. Sorry. Bitte verschieben! Danke!
Last edit: 11 years 5 months ago by Lintzy.

Please Log in or Create an account to join the conversation.

More
11 years 6 months ago #2 by Lintzy
Ich hoffe, du hast ein Backup gemacht. Auf mich wirkt das Ganze, als wäre die Installation nicht komplett abgelaufen. Wenn du von einem FB kleiner oder gleich Fireboard 1.04 updatest, braucht du ein Tool.

Am besten wiederholst du das Ganze noch einmal und liest dir vorher das hier durch:
www.kunena.com/index.php?option=com_kune...atid=36&id=1631#1631

Please Log in or Create an account to join the conversation.

More
11 years 6 months ago #3 by neo67
Hallo Lintzy,

das wäre jetzt nicht so schlimm, da ich mich ja im Aufbau befinde und innerhalb von 1 Stunde eine frische Joomla "drauf" hätte. Ich nehme an, das bei der FB-Install etwas falsch gelaufen ist. Ich werde mir nochmal eine frische Joomla draufziehen und dann auch Kunena frisch installieren werden.

Eine Frage zu dem CB (Cumunity Builder): Die beiden (CB und Kunena) können wohl nicht den gleichen User-Account nehmen oder? Ich wollte wenigstens eine User2User Messaging haben.

Danke!
Jürgen

Please Log in or Create an account to join the conversation.

More
11 years 6 months ago #4 by Lintzy
Wieso installierst du nicht direkt Kunena, sondern erst Fireboard oder verstehe ich das "im Aufbau befinde" jetzt falsch.

CB und Kunena kann ich dir jetzt nicht wirklich viel zu sagen, nur so viel: Ein kompletter Support für CB ist in Entwicklung. Bei einigen läuft es auch jetzt schon ganz gut.

Wenn du ein Messaging-System haben willst: Hier greift CB doch ebenfalls auf externe PMS-Tools zurück und bringt kein eigenes mit.

Welches super unter Kunena läuft: Uddeim, zu den anderen hab ich keine Infos.

Please Log in or Create an account to join the conversation.

More
11 years 6 months ago #5 by neo67
Hi,

jetzt weiß ich was das ist, bei der Installation kommt:
I N S T A L L : F A I L E D - Minimum Version Requirements not satisfied
 
php version: 5.2.8 Required >= 4.3.0
mysql version: 4.1.22-max-log Required >= 5.0.0

Die erste Fehlermeldung ist doch Quatsch oder? Ich habe eine 5er Version und Kunena benötigt eine 4er (Abwärtskompatibel)? Joomla selber verlangt die 5er per .htaccess-Eintrag:
AddHandler php5-cgi .php

Und warum sollte die 4.1.22 mysql nicht genügen?

Dieser Screen mit der Fehlernachricht verschwindet aber nach ein paar Sekunden und man befindet sich im Admin-Bereich von Kunena. Fireboard habe ich zuerst installiert und es gefiel mir nicht, danach erst Kunena ausprobiert, da ich es noch nicht kannte.

Dadurch schreibt jetzt Kunena nichts in die DB bei der Installation, kann man die Tabelle nicht manuell anlegen?

Gruß & Danke
Jürgen

Please Log in or Create an account to join the conversation.

More
11 years 6 months ago #6 by Lintzy
Es ist leider so, Kunena 1.08 braucht MySQl >= 5.0.
Die erste Fehlermeldung ist natürlich irgendwie unsinnig ^^.

docs.kunena.com/index.php/Technical_Requirements

Please Log in or Create an account to join the conversation.

More
11 years 6 months ago #7 by neo67
So,

ich habe die fehlende Tabelle manuell angelegt per:
CREATE TABLE `jos_fb_version` 
(`id` INTEGER NOT NULL AUTO_INCREMENT, 
`version` VARCHAR(20) NOT NULL, 
`versiondate` DATE NOT NULL, 
`installdate` DATE NOT NULL, 
`build` VARCHAR(20) NOT NULL, 
`versionname` VARCHAR(40) NULL, 
PRIMARY KEY(`id`));

Nur der Inhalt fehlt mir noch, vielleicht kann mir das einer mailen?

Also, das Forum läuft auch auf der 4.1er recht gut, ich weiß nicht, was die immer haben. Mal sehen, ob es irgendwann zu Schwierigkeiten kommen könnte. Ich kann halt nicht so einfach updaten auf die 5.0er mysql. Deswegen probiere ich das jetzt mal so.

Danke für die Hilfe und die Sprachdateien! :-)

Gruß
Jürgen

Please Log in or Create an account to join the conversation.

More
11 years 6 months ago #8 by graf
wie hast es unter 4.1 zum laufen bekommen ?

sowas möglich auch mit 4.3.0 ?

Please Log in or Create an account to join the conversation.

More
11 years 5 months ago #9 by Lintzy
neo67 wrote:

So,

ich habe die fehlende Tabelle manuell angelegt per:

CREATE TABLE `jos_fb_version` 
(`id` INTEGER NOT NULL AUTO_INCREMENT, 
`version` VARCHAR(20) NOT NULL, 
`versiondate` DATE NOT NULL, 
`installdate` DATE NOT NULL, 
`build` VARCHAR(20) NOT NULL, 
`versionname` VARCHAR(40) NULL, 
PRIMARY KEY(`id`));

Nur der Inhalt fehlt mir noch, vielleicht kann mir das einer mailen?

Also, das Forum läuft auch auf der 4.1er recht gut, ich weiß nicht, was die immer haben. Mal sehen, ob es irgendwann zu Schwierigkeiten kommen könnte. Ich kann halt nicht so einfach updaten auf die 5.0er mysql. Deswegen probiere ich das jetzt mal so.

Danke für die Hilfe und die Sprachdateien! :-)

Gruß
Jürgen


Wie kann das Forum gut laufen, mit nur einer angelegten Tabelle? Oder verstehe ich da jetzt was verkehrt? :blink:

Please Log in or Create an account to join the conversation.

More
11 years 5 months ago - 11 years 5 months ago #10 by neo67
Hi,

nein nein, diese Tabelle ist die einzige die fehlt. Diese wird aber auch bei der FB Installation anscheinend nicht angelegt.
Hier läuft die mysql-Version: 4.1.22-max-log und ich kann nichts entdecken, dass das Forum mit der mysql nicht laufen sollte.
Kannst Du mir noch den Inhalt der Tabelle mailen? Vielleicht als mysql-dump?

Danke!
Gruß & schönes WE!

Jürgen

EDIT: Also ich muss vorher FB installieren, damit der mir die Tabellen anlegt, da Kunena ja abbricht wegen mysql < 5.x.... Danach läuft Kunena sehr gut... Bisher keine Einschränkung gesehen wegen 5er...
Last edit: 11 years 5 months ago by neo67.

Please Log in or Create an account to join the conversation.

  • Not Allowed: to create new topic.
  • Not Allowed: to reply.
  • Not Allowed: to edit your message.
Time to create page: 0.136 seconds